# Class StateQueueManager

- Defined in src/router/state/state-queue-manager.js:4

##### Index

### Constructors

constructor

### Properties

builder
listeners
queue
stateRegistry
states
urlServiceRules

### Methods

attachRoute
flush
register

## Constructors

### constructor

- new StateQueueManager(
  stateRegistry: StateRegistryProvider,
  urlServiceRules: any,
  states: any,
  builder: any,
  listeners: any,
  ): StateQueueManager

  #### Parameters

  - stateRegistry: StateRegistryProvider
  - urlServiceRules: any
  - states: any
  - builder: any
  - listeners: any

  #### Returns StateQueueManager

  - Defined in src/router/state/state-queue-manager.js:12

## Properties

### builder

builder: any

- Defined in src/router/state/state-queue-manager.js:16

### listeners

listeners: any

- Defined in src/router/state/state-queue-manager.js:17

### queue

queue: StateObject[]

- Defined in src/router/state/state-queue-manager.js:21

### stateRegistry

stateRegistry: StateRegistryProvider

- Defined in src/router/state/state-queue-manager.js:13

### states

states: any

- Defined in src/router/state/state-queue-manager.js:15

### urlServiceRules

urlServiceRules: any

- Defined in src/router/state/state-queue-manager.js:14

## Methods

### attachRoute

- attachRoute(state: any): void

  #### Parameters

  - state: any

  #### Returns void

  - Defined in src/router/state/state-queue-manager.js:90

### flush

- flush(): any

  #### Returns any

  - Defined in src/router/state/state-queue-manager.js:37

### register

- register(stateDecl: any): StateObject

  #### Parameters

  - stateDecl: any

  #### Returns StateObject

  - Defined in src/router/state/state-queue-manager.js:24